> ## Documentation Index
> Fetch the complete documentation index at: https://help.decodo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update sub user

> Update password or traffic limit of specified sub user



## OpenAPI

````yaml /api-reference/jero_public_api.yaml put /v2/sub-users/{sub_user_id}
openapi: 3.1.0
info:
  title: Smartproxy
  version: '1.2'
servers:
  - url: https://api.decodo.com
security:
  - sec0: []
tags:
  - name: Sub-users
    description: Manage sub-users for Residential subscription
  - name: Whitelisted IPs
    description: Manage whitelisted IPs for Residential subscription
  - name: Endpoints
    description: Manage and generate proxy endpoints
  - name: Subscriptions
    description: Subscription information
paths:
  /v2/sub-users/{sub_user_id}:
    put:
      tags:
        - Sub-users
      summary: Update sub user
      description: Update password or traffic limit of specified sub user
      operationId: update-sub-user
      parameters:
        - name: sub_user_id
          in: path
          description: '"Get sub users" received sub user ID'
          schema:
            type: integer
            format: int32
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                traffic_limit:
                  type: number
                  description: Traffic limit
                  format: float
                auto_disable:
                  type: boolean
                  description: Disables subuser when the traffic limit is hit
                  default: false
                password:
                  type: string
                  description: >-
                    Must include: 12 or more characters; at least one upper case
                    letter; one lower case letter; one number; one of these
                    symbols `_` `~` `+` `=` (`@` and `:` are not allowed).
                  format: json
                traffic_count_from:
                  type: string
                  description: >-
                    Handles subuser subscription traffic starting from the
                    specified date. Use date format yyyy-mm-dd hh:mm:ss.
                  format: date
                status:
                  type: string
                  description: ''
                  enum:
                    - active
                    - disabled
      responses:
        '201':
          description: '201'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "error_code": "bad_request",
                      "message": "Can not process request",
                      "error": {
                        "password": "password must be between 9 and 64 characters and must contain at least one number. Symbols @ and : are invalid"
                      }
                    }
              schema:
                type: object
                properties:
                  error_code:
                    type: string
                    example: bad_request
                  message:
                    type: string
                    example: Can not process request
                  error:
                    type: object
                    properties:
                      password:
                        type: string
                        example: >-
                          password must be between 9 and 64 characters and must
                          contain at least one number. Symbols @ and : are
                          invalid
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````